---
layout: documentation
title: Description ora_config
keywords: ora_config
sidebar: ora_config_sidebar
toc: false
---

The `ora_config` module extends the Puppet language to contain types needed to create and manage the lifecycle of objects within your database. Instead of writing complex SQL scripts, using this module, you can now define your database configuration in an easy declarative way. In the paragraph Functionality, we will give you small examples on how you can use this Puppet language extension to model aspects of your database.

All knowledge required to inspect, create, change and remove these Oracle objects is coded into our software. For our customers, it means they can focus on the “what” and leave the implementation details to our modules.

Our modules support a broad range of Oracle versions. We are committed to making our modules work on future releases. This allows our customers an easy upgrade path from older to newer versions.

The ora_config module now supports the next Puppet resources:

- [ora_asm_directory](./ora_asm_directory.html)
- [ora_asm_diskgroup](./ora_asm_diskgroup.html)
- [ora_asm_volume](./ora_asm_volume.html)
- [ora_database](./ora_database.html)
- [ora_directory](./ora_directory.html)
- [ora_exec](./ora_exec.html)
- [ora_feature_usage](./ora_feature_usage.html)
- [ora_home_option](./ora_home_option.html)
- [ora_init_param](./ora_init_param.html)
- [ora_listener](./ora_listener.html)
- [ora_object_audit](./ora_object_audit.html)
- [ora_object_grant](./ora_object_grant.html)
- [ora_package](./ora_package.html)
- [ora_procedure](./ora_procedure.html)
- [ora_profile](./ora_profile.html)
- [ora_record](./ora_record.html)
- [ora_role](./ora_role.html)
- [ora_scheduler_job](./ora_scheduler_job.html)
- [ora_schema_definition](./ora_schema_definition.html)
- [ora_service](./ora_service.html)
- [ora_setting](./ora_setting.html)
- [ora_statement_audit](./ora_statement_audit.html)
- [ora_synonym](./ora_synonym.html)
- [ora_tablespace](./ora_tablespace.html)
- [ora_thread](./ora_thread.html)
- [ora_trigger](./ora_trigger.html)
- [ora_user](./ora_user.html)
